﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
using RobotCtrl;

namespace RobotView
{
    public partial class InputControllerView : UserControl
    {
        
        private JoystickInputController joystick;

        private InputControllerView()
        {
            InitializeComponent();
        }

        public InputControllerView(InputController controller) : this()
        {
            this.joystick = (JoystickInputController)controller;
            this.joystick.UpdateEvent += new JoystickInputController.UpdateEventHandler(joystick_UpdateEvent);
        }

        delegate void Invoker(InputController controller);

        void joystick_UpdateEvent(InputController controller)
        {
            if (this.InvokeRequired)
            {
                this.BeginInvoke(new Invoker(joystick_UpdateEvent), controller);
                return;
            }
            txtXAxis.Text = controller.XAxis.ToString();
            txtYAxis.Text = controller.YAxis.ToString();
        }

        private void UpdateUI()
        {
            
        }
    }
}
