﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;

namespace RobotCtrl
{
    public sealed class TrackAdjustable : Track
    {
        public Track CurrentTrack { get; set; }

        /// <summary>
        /// This is an endless Track
        /// </summary>
        public override bool Done { get { return false; } }

        public override double ResidualLength { get { return 100.0; /* never ending track */ } }

        public TrackAdjustable(double maxSpeed, double maxAcceleration)
        {
            reverse = false;
            this.nominalSpeed = Math.Abs(maxSpeed);
            this.acceleration = maxAcceleration;
        }

        public override void IncrementalStep(double timeInterval, double newVelocity, out double leftSpeed, out double rightSpeed)
        {
            currentVelocity = newVelocity;
            Track currentTrack = CurrentTrack;

            if (currentTrack == null)
            {
                currentTrack = new TrackPause(10);
            }

            reverse = currentTrack.NominalSpeedNegative < 0;

            currentTrack.IncrementalStep(timeInterval, currentTrack.nominalSpeed, out leftSpeed, out rightSpeed);
            this.doStep(timeInterval);
        }
    }
}
